Skip to Content

Create Namespace

Create a new namespace for organizing files. Maximum 5 namespaces per user. The name 'default' is reserved and cannot be used.

POST
/namespaces

Create a new namespace to organize your uploaded files.

Overview

Each user can have up to 5 namespaces. The name default is reserved and cannot be used when creating a new namespace.

Example Request

curl -X POST "https://api.vidnavigator.com/v1/namespaces" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Client Calls"
  }'

Success Response (201 Created)

{
  "status": "success",
  "data": {
    "id": "64a1b2c3d4e5f6789abc0003",
    "name": "Client Calls",
    "created_at": "2025-03-20T09:15:00Z",
    "updated_at": "2025-03-20T09:15:00Z"
  }
}

API reference

Authorization

ApiKeyAuth
headerX-API-Key<token>

API key authentication. Include your VidNavigator API key in the X-API-Key header.

Request Body

application/json
  1. body
name*string

Name for the new namespace (cannot be 'default')

Response Body

Namespace created successfully

application/json
  1. response
status?"success"
Value in"success"
data?
Example Request
curl -X POST 'https://api.vidnavigator.com/v1/namespaces' \  -H 'Content-Type: application/json' \  -d '{  "name": "Client Calls"}'
Example Response
{  "status": "success",  "data": {    "id": "string",    "_id": "string",    "user_id": "string",    "name": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}

On this page